Subject: Re: bug#20889: python Tkinter

From: [email-masked] (Ludovic Courtès)
Date: Sun, 05 Jul 2015 12:16:39 +0200

Cyril Roelandt <[email-masked]> skribis:

> On 06/24/2015 09:14 AM, Federico Beffa wrote:
>> The python package does not provide Tkinter which is part of the
>> Python Standard Library
>> https://docs.python.org/3/library/tkinter.html?highlight=tkinter#module-tkinter
>> 
>
> I think we need to add tcl and tk to the inputs, and add the
> corresponding "-I" and "-L" flags to the configure flags. The issue is
> that tk depends on Python (through libx11, which depends on libxcb,
> which depends on Python), so we end up with a circular dependency
> leading to what I reported in
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20967 .
>
> I think we should:
> - rename the Python package to "python-without-tkinter" or
> "python-minimal" and use that as a dependency in xorg.scm;
> - define a "python" package that would inherit the "minimal Python"
> package and add the dependency on tcl/tk to it.

How frequently do Python packages rely on the availability of Tkinter?

I’m asking because it might be that we could keep the default Python
without Tk, and only use the Tk-enabled Python for the few packages that
need it, if it’s rare enough.

WDYT?

Ludo’.